How to get started

  1. System requirements
  2. Create a new app
  3. Connecting the SpeechKit SDK

System requirements

Minimum system requirements:
  • iOS 8.0
  • Xcode 9 and higher
  • OS X 10.12

Create a new app

  1. Launch Xcode and select File → New → Project.
  2. On the iOS tab, go to the Application section and choose Single View App. Click Next.
  3. Enter the project name, organization, and organization ID. Click Next.

  4. Select the folder where your project will be created and click Create.
  5. In the Product → Destination menu, select an iPhone simulator and launch the project via Product → Run to verify that the app was built successfully.

Connecting the SpeechKit SDK

The easiest and most convenient way to connect the SpeechKit SDK is to use the CocoaPods dependency manager. For more information, see the official site. All project dependencies are described in a Podfile text file:

  1. To install cocoapods, run Terminal and type the command:
    sudo gem install cocoa pods
    pod setup Podfile
  2. Create a file in the Podfile project directory:
    touch Podfile
  3. Open the Podfile in any text editor. In the file, specify the minimum supported version of your app and the version of the SpeechKit SDK you want to use:
    platform :ios, '8.0'
    pod 'YandexSpeechKit', '~> 3.12'
  4. In the Terminal, run the command:
    pod install

After this, a file with the .xcworkspace extension appears in the project's root folder. It includes your project and SpeechKit pod. If your project was open in Xcode, close it and open the generated file <ProjectName>.xcworkspace. Do all further work only in this file. Don't use the project file with the .xcodeproj extension.